import { jsx } from "react/jsx-runtime";
import { TokenRSR as TokenRSR$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenRSR = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "RSR", "data-name": "TokenRSR", ...props, children: /* @__PURE__ */ jsx(TokenRSR$1, { variant }) });
  }
);
TokenRSR.displayName = "TokenRSR";
Object.assign(TokenRSR, { isGdsIcon: true });
export {
  TokenRSR
};
